#if !defined(AFX_DISPERPROG_H__B8622081_B752_4A7A_B22C_4108EDC37DC6__INCLUDED_)
#define AFX_DISPERPROG_H__B8622081_B752_4A7A_B22C_4108EDC37DC6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DisperProg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDisperProg dialog

class CDisperProg : public CDialog
{
// Construction
public:
	CDisperProg(CWnd* pParent = NULL);   // standard constructor
	void Misplace();
	void SetTot(int tot);
	void Place(int onum=1);
	void UpdateCons();
	// Dialog Data
	//{{AFX_DATA(CDisperProg)
	enum { IDD = IDD_DISPERPROG };
	CProgressCtrl	m_ProCtrl;
	CString	m_MisPlaceText;
	CString	m_PlacedText;
	CString	m_ObjTotText;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDisperProg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	int MisPlace;
	int ObjTot;
	int ObjPlaced;

	// Generated message map functions
	//{{AFX_MSG(CDisperProg)
	virtual void OnCancel();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DISPERPROG_H__B8622081_B752_4A7A_B22C_4108EDC37DC6__INCLUDED_)
